/** 
 *   Site testing for SKA candidate.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _ANALYZER_H
#define _ANALYZER_H

#include <gpib/ib.h>
#include "observ_table.h"

#define SWEEP_MAX 100.0

#define AN_GPIB 0
#define AN_PADDR 18
#define AN_TIME_OUT T10s
#define AN_MAX_POINTS 401
#define AN_RETRY_TIME_OUT 60 /* in seconds */

#define RQS_UKP 0x02    /* Unit Key pressed */
#define RQS_EOS 0x04    /* End of sweep */
#define RQS_HB  0x08    /* Hardware Broken */
#define RQS_CC  0x10    /* Command complete */
#define RQS_IC  0x20    /* Illegal command */


int open_analyzer( int pad );
int analyzer_get_observ( int dev, struct obs_setup *s);
int analyzer_reset( int dev );

#endif /* ifndef _ANALYZER_H */
